declare namespace _default {
    let mixins: {
        mixins: {
            methods: {
                changeRouteQuery({ filterQuery, value }: {
                    filterQuery: any;
                    value: any;
                }): any;
                setValueToQuery({ filterQuery, value, storedProp }: {
                    filterQuery: any;
                    value: any;
                    storedProp?: string;
                }): Promise<void>;
                getValueFromQuery({ filterQuery }: {
                    filterQuery: any;
                }): any;
            };
        }[];
        props: {
            namespace: {
                type: StringConstructor;
                description: string;
            };
        };
        created(): void;
        computed: {
            filterSchema(): any;
            value(): any;
        };
        methods: {
            restore({ filterQuery }: {
                filterQuery: any;
            }): void;
            setValue(payload: any): any;
        };
    }[];
    function data(): {
        filterQuery: string;
    };
    namespace methods {
        function sort(column: any): void;
        function setValue({ column, order }: {
            column: any;
            order: any;
        }): void;
        function restoreValue(value: any): void;
    }
}
export default _default;
